%define name    cryptmount
%define version 4.4.1
%define release %mkrel 1

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    A utility for accessing encrypted filesystems
License:    GPLv3
Group:      System/Kernel and hardware
URL:        http://cryptmount.sourceforge.net/
Source0:    http://sourceforge.net/projects/cryptmount/files/cryptmount/cryptmount-%{version}/cryptmount-%{version}.tar.gz
Patch0:     cryptmount-4.4-allow-non-root-build.patch
Patch1:     cryptmount-fix-flags.patch
BuildRequires:  device-mapper-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libuuid-devel
BuildRequires:  gettext-devel

%description
cryptmount is a utility for GNU/Linux operating systems which allows an
ordinary user to mount an encrypted filing system without requiring superuser
privileges. It is aimed at recent Linux systems using the 2.6 kernel series.

%prep
%setup -q
%patch0 -p 1
%patch1 -p1

%build
autoreconf -fi
%configure2_5x
%__make

%install
rm -rf %{buildroot}
%makeinstall_std -k
rm -f %{buildroot}%{_sysconfdir}/cryptmount/cmtab.example

%find_lang %{name}

%files -f %{name}.lang
%doc README README.OpenSSL RELNOTES NEWS INSTALL COPYING ABOUT-NLS AUTHORS
%doc ChangeLog cmtab.example
%dir %{_sysconfdir}/cryptmount
%config(noreplace) %{_sysconfdir}/cryptmount/cmtab
%{_sbindir}/cryptmount-setup
%{_bindir}/cryptmount
%{_libdir}/cryptmount
%{_mandir}/man5/cmtab.5*
%{_mandir}/man8/cryptmount.8*
%{_mandir}/man8/cryptmount-setup.8*
%{_mandir}/fr/man5/cmtab.5*
%{_mandir}/fr/man8/cryptmount.8*



%changelog
* Mon Nov 11 2013 guillomovitch <guillomovitch> 4.4.1-1.mga4
+ Revision: 550486
- new version

* Sat Oct 19 2013 umeabot <umeabot> 4.4-2.mga4
+ Revision: 523800
- Mageia 4 Mass Rebuild

* Sat May 25 2013 guillomovitch <guillomovitch> 4.4-1.mga4
+ Revision: 427123
- new version

* Fri Jan 11 2013 umeabot <umeabot> 4.3-3.mga3
+ Revision: 348307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 rtp <rtp> 4.3-2.mga3
+ Revision: 270328
- fix build

* Wed May 30 2012 guillomovitch <guillomovitch> 4.3-1.mga3
+ Revision: 250175
- new version

* Mon Oct 31 2011 guillomovitch <guillomovitch> 4.2.1-1.mga2
+ Revision: 160551
- new version
- imported package cryptmount


* Thu Aug 25 2011 Guillaume Rousse <guillomovitch@mandriva.org> 4.2-1.mga2
- initial mageia release
